Set up the report viewer in Angular, load a template, and connect the component to the application.

Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
@Component({
    selector: "changing-the-viewer-theme",
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="viewerOptions"></sti-viewer>`
})
export class ChangingTheViewerTheme {
    report = new Stimulsoft.Report.StiReport();
    viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
    constructor() {
        this.report.loadFile("Reports/SimpleList.mrt");
        this.viewerOptions.appearance.theme = Stimulsoft.Viewer.StiViewerTheme.Office2022WhiteViolet;
        this.viewerOptions.appearance.fullScreenMode = true;
    }
}
The theme comes from the StiViewerTheme enumeration; dozens of light and dark variants are available to match your application.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

Set up the report viewer in Vue 3, load a template, and connect the component to the application.

Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/viewer';

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/SimpleList.mrt");

var viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
viewerOptions.appearance.theme = Stimulsoft.Viewer.StiViewerTheme.Office2022WhiteViolet;
viewerOptions.appearance.fullScreenMode = true;
</script>

<template>
    <Viewer :report="report" :options="viewerOptions" />
</template>
The theme comes from the StiViewerTheme enumeration; dozens of light and dark variants are available to match your application.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.